--- title: "deleteCategory" slug: "ai-application-service-cloudoutboundmailer-deletecategory" tags: ["Cloud Outbound Mailer"] updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/ai-application-service-cloudoutboundmailer-deletecategory" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # deleteCategory Available in Classic and VPC Delete an unused category. It can only be deleted if there are no templates or subcategories under it. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | DELETE | /category/{categorySid} | ### Request headers For information about the headers common to all Cloud Outbound Mailer APIs, see [Cloud Outbound Mailer request headers](/docs/en/ai-application-service-cloudoutboundmailer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `categorySid` | Integer | Required | SID of the category to delete - See [getTemplateStructure](/docs/en/ai-application-service-cloudoutboundmailer-gettemplatestructure) | ### Request example The following is a sample request. ``` curl --location --request DELETE 'https://mail.apigw.ntruss.com/api/v1/category/256' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `sid` | Integer | - | SID of the deleted category | | `parentSid` | Integer | - | SID of the parent category | | `name` | String | - | Name of the deleted category | ### Response status codes For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see [Cloud Outbound Mailer response status codes](/docs/en/ai-application-service-cloudoutboundmailer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "sid": 256, "parentSid": 252, "name": "testCategory" } ```